VOP_GETPAGES(9)

NAME
VOP_GETPAGES, VOP_PUTPAGES - read or write VM pages from a file

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <vm/vm.h>
int
VOP_GETPAGES(struct vnode *vp, vm_page_t *m, int count, int reqpage, vm_ooffset_t offset);
int
VOP_PUTPAGES(struct vnode *vp, vm_page_t *m, int count, int sync, int *rtvals, vm_ooffset_t offset);

DESCRIPTION

The arguments are:

vp  The file to access.

m   A page ???

count
    How many pages to access.

sync
    Nonzero if the write should be synchronous.

rtvals
    ???

reqpage
    ???

offset
    Offset in the file to start accessing.

Not quite sure about this one.

RETURN VALUES
Zero is returned on success, otherwise an error is returned.

SEE ALSO
vnode(9)

AUTHORS
This man page was written by Doug Rabson.